Bug 73759 - compiling error in kernel 2.4.18-10 due block.o
compiling error in kernel 2.4.18-10 due block.o
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-10 09:04 EDT by Emiliano Valente
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-12 05:29:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
this is the config used for compiling the kernel (11.87 KB, text/plain)
2002-09-10 09:06 EDT, Emiliano Valente
no flags Details

  None (edit)
Description Emiliano Valente 2002-09-10 09:04:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461; .NET 
CLR 1.0.3705)

Description of problem:
Kernel does not compile with the attached .config file due a problem in 
block.o when Compaq SMART2 is 'not' compiled as module

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Upgrade the system to the latest patch
2. Use the file in attach as .config
3. make dep; make
	

Actual Results:  make[1]: Entering directory `/usr/src/linux-2.4.18-10'
ld -m elf_i386 -T /usr/src/linux-2.4.18-10/arch/i386/vmlinux.lds -e stext 
arch/i386/kernel/head.o arch/i386/kernel/init_task.o i
nit/main.o init/version.o init/do_mounts.o --start-group 
arch/i386/kernel/kernel.o arch/i386/mm/mm.o kernel/kernel.o mm/mm.o fs/
fs.o ipc/ipc.o  drivers/char/char.o drivers/block/block.o drivers/misc/misc.o 
drivers/net/net.o drivers/media/media.o drivers/id
e/idedriver.o drivers/cdrom/driver.o drivers/pci/driver.o 
drivers/video/video.o net/network.o abi/abi.o /usr/src/linux-2.4.18-
10/arch/i386/lib/lib.a /usr/src/linux-2.4.18-10/lib/lib.a /usr/src/linux-
2.4.18-10/arch/i386/lib/lib.a --end-group  -o vmlinux
drivers/block/block.o(.data+0xc74): undefined reference to `local symbols in 
discarded section .text.exit'
make[1]: *** [kallsyms] Error 1
make[1]: Leaving directory `/usr/src/linux-2.4.18-10'
make: *** [vmlinux] Error 2


Additional info:

Hardware: Compaq DL580
Comment 1 Emiliano Valente 2002-09-10 09:06:16 EDT
Created attachment 75644 [details]
this is the config used for compiling the kernel
Comment 2 Arjan van de Ven 2002-09-10 09:32:14 EDT
I think you can work around this by editing drivers/block/cpqarray.c and on line
398 remove the word __devexit, eg
static void __devexit cpqarray_remove_one_eisa (int i)
should become
static void cpqarray_remove_one_eisa (int i)
Comment 3 Emiliano Valente 2002-09-12 05:29:40 EDT
It works removing __devexit on line 398 and 349

Note You need to log in before you can comment on or make changes to this bug.